boost::geometry::strategy::side::side_by_triangle< CalculationType > Class Template Reference
strategies: strategies

Check at which side of a segment a point lies: left of segment (> 0), right of segment (< 0), on segment (0) More...

List of all members.

## Classes

struct | compute_side_value
struct | compute_side_value< CoordinateType, PromotedType, false >
struct | eps_empty
struct | eps_policy

## Static Public Member Functions

template<typename P1 , typename P2 , typename P >
static int | apply (P1 const &p1, P2 const &p2, P const &p)
template<typename CoordinateType , typename PromotedType , typename P1 , typename P2 , typename P , typename EpsPolicy >
static PromotedType | side_value (P1 const &p1, P2 const &p2, P const &p, EpsPolicy &eps_policy)
template<typename CoordinateType , typename PromotedType , typename P1 , typename P2 , typename P >
static PromotedType | side_value (P1 const &p1, P2 const &p2, P const &p)

## Detailed Description

### template<typename CalculationType = void>
class boost::geometry::strategy::side::side_by_triangle< CalculationType >

Check at which side of a segment a point lies: left of segment (> 0), right of segment (< 0), on segment (0)

Template Parameters:

  CalculationType | numeric type for calculation (e.g. high precision); if [*void] then it is extracted automatically from the coordinate type and (if necessary) promoted to floating point

## Member Function Documentation

template<typename CalculationType = void>
template<typename CoordinateType , typename PromotedType , typename P1 , typename P2 , typename P , typename EpsPolicy >

static PromotedType boost::geometry::strategy::side::side_by_triangle< CalculationType >::side_value | ( | P1 const & | p1,
|  | P2 const & | p2,
|  | P const & | p,
|  | EpsPolicy & | eps_policy
| ) |  | `[static]`

template<typename CalculationType = void>
template<typename CoordinateType , typename PromotedType , typename P1 , typename P2 , typename P >

static PromotedType boost::geometry::strategy::side::side_by_triangle< CalculationType >::side_value | ( | P1 const & | p1,
|  | P2 const & | p2,
|  | P const & | p
| ) |  | `[static]`

template<typename CalculationType = void>
template<typename P1 , typename P2 , typename P >

static int boost::geometry::strategy::side::side_by_triangle< CalculationType >::apply | ( | P1 const & | p1,
|  | P2 const & | p2,
|  | P const & | p
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK